import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { LabRxTemplateSelectObjectSchema as LabRxTemplateSelectObjectSchema } from './LabRxTemplateSelect.schema';
import { LabRxTemplateIncludeObjectSchema as LabRxTemplateIncludeObjectSchema } from './LabRxTemplateInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => LabRxTemplateSelectObjectSchema).optional(),
  include: z.lazy(() => LabRxTemplateIncludeObjectSchema).optional()
}).strict();
export const LabRxTemplateArgsObjectSchema = makeSchema();
export const LabRxTemplateArgsObjectZodSchema = makeSchema();
